> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect a public HTTPS file or shared-folder link without importing it.




## OpenAPI

````yaml /api/openapi.json post /v1/shared-links/inspect
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-11-21'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/shared-links/inspect:
    post:
      summary: |
        Inspect a public HTTPS file or shared-folder link without importing it.
      operationId: POST:mcp.InspectSharedLinkAPI
      requestBody:
        content:
          application/json:
            schema:
              properties:
                url:
                  type: string
                  format: uri
                  minLength: 1
              type: object
              required:
                - url
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  checked_at:
                    format: date-time
                    type: string
                  complete:
                    type: boolean
                  file_count:
                    format: int64
                    type: integer
                    nullable: true
                    minimum: 0
                  kind:
                    type: string
                    enum:
                      - file
                      - folder
                      - unknown
                  opens:
                    type: boolean
                  provider:
                    $ref: '#/components/schemas/download.Provider'
                  reason:
                    type: string
                    nullable: true
                    enum:
                      - sign_in_required
                      - not_found
                      - unsupported
                      - error
                      - null
                  sample:
                    items:
                      $ref: '#/components/schemas/download.InspectSample'
                    type: array
                    maxItems: 50
                  total_bytes:
                    format: int64
                    type: integer
                    nullable: true
                    minimum: 0
                type: object
                required:
                  - provider
                  - kind
                  - opens
                  - reason
                  - file_count
                  - total_bytes
                  - complete
                  - sample
                  - checked_at
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    download.Provider:
      type: string
      enum:
        - sharepoint
        - onedrive
        - dropbox
        - google_drive
        - web
    download.InspectSample:
      properties:
        bytes:
          format: int64
          type: integer
          nullable: true
          minimum: 0
        name:
          type: string
      type: object
      required:
        - name
        - bytes
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.